Skip to content
vocapable.Docs

Read an opportunity

GET
/v1/workspace/opportunities/{opportunity_id}
curl --request GET \
--url https://api.vocapable.com/v1/workspace/opportunities/example \
--header 'Authorization: Bearer <token>'
opportunity_id
required
Opportunity Id
string

Successful Response

Media typeapplication/json
WorkspaceOpportunity
object
id
required
Id
string
organization_id
required
Organization Id
string
organization_name
required
Organization Name
string
primary_contact_id
required
Any of:
string
owner
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
title
required
Title
string
stage
required
Stage
string
Allowed values: new qualified proposal won lost deferred
amount_minor
required
Amount Minor
integer
currency
required
Currency
string
need
required
Any of:
string
next_step
required
Any of:
string
next_step_due_at
required
Any of:
string format: date-time
lost_reason
required
Any of:
string
deferred_until
required
Any of:
string format: date-time
closed_at
required
Any of:
string format: date-time
source
required
Any of:
string
accepted_scope
required
Any of:
string
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
reopened_from_id
Any of:
string
amends_id
Any of:
string
scope_accepted_at
Any of:
string format: date-time
scope_accepted_by
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
scope_acceptance_id
Any of:
string
Example
{
"stage": "new"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}